# https://github.com/gofrs/flock
%global goipath		github.com/gofrs/flock
Version:		0.7.1

%gometa

Name:		%{goname}
Release:	1%{?dist}
Summary:	Thread-safe file locking library in Go
License:	BSD
URL:		%{gourl}
Source0:	%{gosource}
BuildRequires:	golang(gopkg.in/check.v1)

%description
flock implements a thread-safe sync.Locker interface for file locking. It also
includes a non-blocking TryLock() function to allow locking without blocking
execution.

%package devel
Summary:	%{summary}
BuildArch:	noarch

%description devel
flock implements a thread-safe sync.Locker interface for file locking. It also
includes a non-blocking TryLock() function to allow locking without blocking
execution.

This package contains library source intended for building other packages that
use import path with the %{goipath} prefix.

%prep
%forgesetup

%install
%goinstall

%check
%gochecks

%files devel -f devel.file-list
%license LICENSE
%doc README.md

%changelog
* Mon Feb 25 2019 Paul Howarth <paul@city-fan.org> - 0.7.1-1
- Update to 0.7.1
  - Fix linting issues and add goreportcard badge (GH#35)

* Fri Feb 01 2019 Fedora Release Engineering <releng@fedoraproject.org> - 0.7.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild

* Thu Jan 17 2019 Paul Howarth <paul@city-fan.org> - 0.7.0-1
- Initial RPM version
